预装编译环境

在ubuntu中执行下面命令安装编译依赖软件

> sudo apt-get install \
    libxml2-dev \
    libcurl4-openssl-dev \
    libjpeg-dev \
    libpng-dev \
    libxpm-dev \
    libmysqlclient-dev \
    libpq-dev \
    libicu-dev \
    libfreetype6-dev \
    libldap2-dev \
    libxslt-dev

下载php源代码

wget http://us3.php.net/get/php-5.5.5.tar.gz/from/cn2.php.net/mirror

开始编译安装

> tar zxf php-5.5.5.tar.gz
> cd php-5.5.5
> sudo ./configurate ...

安装apc和memcache扩展